Name:		shellfu
Version:	__MKIT_PROJ_VERSION__
Release:	1%{?dist}
Summary:	Shellfu - __MKIT_PROJ_TAGLINE__

License:	LGPLv2
Source0:	%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	coreutils git
Requires:	bash

%description
Shellfu is an attempt to add modularity to your shell scripts.

With Shellfu you can develop your shell modules separately from your
scripts, and test, use, explore or study them without need to be aware
of details such as where the actual files are placed.

Shellfu is mostly intended for cases when there's need for non-trivial
amount of reliable body of shell scripts, and access to advanced modular
languages such as Python or Perl is limited.

This sub-package contains only the Shellfu management system but not
actual modules.  Use this if you want to write all modules yourself.

%package bash
Summary: Bash-specific base
Requires: shellfu
%description bash
This sub-package contains Bash-specific parts of library infrastructure.
Shellfu modules written for Bash should depend on this.

%package bash-core
Summary: Core Bash modules for Shellfu
Requires: shellfu-bash
%description bash-core
This sub-package contains core Shellfu modules.

%package bash-extras
Summary: Extra Bash modules for Shellfu
Requires: shellfu-bash
Requires: shellfu-bash-core
%description bash-extras
This sub-package contains extra Shellfu modules, most of them under
heavy development.


%prep
%setup -q


%build
# %%configure
make %{?_smp_mflags}

%install
%make_install

%files
%config %{_sysconfdir}/bash_completion.d/shellfu.bash
%dir /usr/local/share/shellfu
%dir /usr/local/share/doc/shellfu
%doc /usr/local/share/doc/shellfu/LICENSE
%doc /usr/local/share/doc/shellfu/README.md
/usr/local/bin/shellfu-embed
/usr/local/bin/shellfu-get
/usr/local/bin/shellfu-doc
/usr/local/share/shellfu/shellfu.sh

%files bash
%dir /usr/local/share/shellfu/include-bash

%files bash-core
/usr/local/share/shellfu/include-bash/_pretty_color.sh
/usr/local/share/shellfu/include-bash/_pretty_html.sh
/usr/local/share/shellfu/include-bash/_pretty_notify.sh
/usr/local/share/shellfu/include-bash/_pretty_plain.sh
/usr/local/share/shellfu/include-bash/exit.sh
/usr/local/share/shellfu/include-bash/pretty.sh
/usr/local/share/shellfu/include-bash/termcolors.sh

%files bash-extras
/usr/local/share/shellfu/include-bash/charmenu.sh
/usr/local/share/shellfu/include-bash/inigrep.sh
/usr/local/share/shellfu/include-bash/sync.sh


%changelog

# specfile built with MKit __MKIT_SELF_VERSION__
